Subject: Window Managers for X11 (fwm2, mwm, twm)
From: Samy Alex ZAIMI <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 24 May 1999 09:25:03 +0000

Hi all,

I have cygwin B20.1 on a W95B laptop computer, and
I am using the free X server from MicroImages.
I usually lauch 'xs.exe' from the desktop (by
clicking on an appropriate icon), then from a bash
shell I use one of the following window managers
(by the way, are there others around ?) :
1. mwm &
2. fvwm2 &
3. twm &
Well, I have problems with each of them.

When I use the first one, I have troubles at start
up :

    helios:~$ mwm &
    [1] 1086
    helios:~$ Warning: Cannot convert string
"variable" to type FontStruct
    Cannot find configuration file.  Using builtin
defaults.
     at line 0
    Xlib:  extension "SHAPE" missing on display
"127.0.0.1:0.0".
    Xlib:  extension "SHAPE" missing on display
"127.0.0.1:0.0".
    Xlib:  extension "SHAPE" missing on display
"127.0.0.1:0.0".
    Xlib:  extension "SHAPE" missing on display
"127.0.0.1:0.0".

So, what is going on ?
Beside, each time I want to start an application,
I have :

    helios:~$     0       0 [main]
D:\USR\CYGNUS\BIN\BASH.EXE 1088 handle_exceptions
    : Exception: STATUS_ACCESS_VIOLATION
        0    1166 [main] BASH 1088
handle_exceptions: Dumping stack trace to
BASH.EXE.core
    Xlib:  extension "SHAPE" missing on display
"127.0.0.1:0.0".
    Xlib:  extension "SHAPE" missing on display
"127.0.0.1:0.0".
    Xlib:  extension "SHAPE" missing on display
"127.0.0.1:0.0".

with a BASH.EXE.core on my starting directoty.

When I try the second, I have :

    helios:~$ [GetFontOrFixed]: WARNING -- can't
get font -adobe-times-bold-r-*-*-14
    -*-*-*-*-*-*-*, trying 'fixed'

I suspect a font installation problem. How to
solve that ?

When I try the third one, I have no problem,
except with 'xterm' :

    helios:~$ xterm &
    [2] 1107
    " to type FontStructannot convert string "nil2

Is it really a problem ? I don't know.

Could anyone send me suggestions, share
experience, give me some hints and so on. The
archive list contains few things about these
topics, really few things... Some people
mentionned the fact that this could be related to
the X server itself, and similar problems
disappeared when they switched to a "shareware"
server from starnet. Any confirmation ?

Thanks in advance.
Dr.-Ing. Samy Alex ZAIMI
Tohoku University - Sendai (Japan)

--
Want to unsubscribe from this list?
Send a message to [email-masked]